uncaught error bootstrap requires jquery at bootstrap.min.js

I am getting this error even when all the jquery has been loaded before bootstrap and also have used the version 1.9.1

tried using jquery version 1.9.1 and it still dint solve

 <script type="text/javascript" src="js/jquery-1.9.1.js"></script>


     <link href="css/jquery-ui.css" rel="stylesheet" />
    <script src="https://www.bootstrap-year-calendar.com/js/jquery-1.10.2.min.js" type="text/javascript"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js" type="text/javascript"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.5.7/angular.min.js" type="text/javascript"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.5.7/angular-animate.min.js" type="text/javascript"></script>


    <link rel="stylesheet" href="css/bootstrap.min.css" />
    <link rel="stylesheet" href="css/style.css" />
    <link rel="stylesheet" href="css/bootstrap-theme.css" />
    <link rel="stylesheet" href="css/bootstrap-theme.min.css" />
    <link rel="stylesheet" href="css/bootstrap.css" />

    <script src="js/bootstrap.js" type="text/javascript"></script>
    <script src="js/bootstrap.min.js" type="text/javascript"></script>


    <script src="https://www.bootstrap-year-calendar.com/js/respond.min.js" type="text/javascript"></script>



    <script src="https://www.bootstrap-year-calendar.com/js/bootstrap-datepicker.min.js" type="text/javascript"></script>
    <script src="https://www.bootstrap-year-calendar.com/js/bootstrap-year-calendar.min.js" type="text/javascript"></script>
    <script src="https://www.bootstrap-year-calendar.com/js/bootstrap-popover.js" type="text/javascript"></script>
    <script src="https://www.bootstrap-year-calendar.com/js/scripts.js" type="text/javascript"></script>

    <link rel="stylesheet" type="text/css" href="css/cal/bootstrap-datepicker.min.css">
    <link rel="stylesheet" type="text/css" href="css/cal/bootstrap-theme.min.css">
    <link rel="stylesheet" type="text/css" href="css/cal/bootstrap-year-calendar.min.css">

I have had this issue previously when I have referenced two different versions of jquery or Bootstrap, you have done both here. You have three versions of JQuery in this code:

<script type="text/javascript" src="js/jquery-1.9.1.js"></script>
<script src="https://www.bootstrap-year-calendar.com/js/jquery-1.10.2.min.js" type="text/javascript"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js" type="text/javascript"></script>

You are also loading bootstrap and the bootstrap min js files which will interfere with each other.

Try simplifying your code and only use 1 version of each library/framework.

So one version of JQuery loaded before Bootstrap stuff. One version of bootstrap. So make sure you have your JQuery script src THEN your Bootstrap one.

Uncaught Error: Bootstrap's JavaScript requires jQuery, As I can see in your code you have added jquery Js after the Bootstrap js. You need to include jquery js before adding bootstrap js. uncaught error: bootstrap's javascript requires jquery at bootstrap.min.js:6; inside the anonymous function, use jquery to select the footer div. it has an id of 'footer'. Uncaught typeerror: jquery.easing[jquery.easing.def] is not a function; Which css property configures the font typeface? Cascading style sheet rules are comprised of:?

If you try to add more than one version of bootstrap this error comes. Order of bootstrap and jquery also matters. Try including this

<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>

Uncaught Error: Bootstrap's JavaScript requires jQuery, Uncaught Error: Bootstrap's JavaScript requires jQuery JQuery Core JavaScript --> <script src="lib/js/jquery.min.js"></script> <script  Possible checks *Make sure that all those referenced .js files are present in the scripts folder *once the page is rendered, right click on the page and click view source, there you can find the links for the js file, click any one of the js file and see whether it actually navigates to the source. from this you will get some idea of the path. based on this you can modify the hardcoded js path.

try including this

<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

[Solved] Uncaught error: bootstrap's javascript requires jquery , Possible checks *Make sure that all those referenced .js files are present in the scripts folder *once the page is rendered, right click on the page  Dismiss Join GitHub today. GitHub is home to over 50 million developers working together to host and review code, manage projects, and build software together.

Error("Bootstrap's JavaScript requires jQuery"), Solution : To solve the issue you must put jQuery above the Bootstrap JS as shown bellow. <!-- jquery --> <script  Uncaught Error: Bootstrap's JavaScript requires jQuery I have tried using jQuery 1.9.0, I have tried with copies hosted on several CDNs, but I can't get it work. Can anybody point out what I'm doing wrong?

uncaught error: bootstrap's javascript requires jquery at , Solution : Please go through below code snippet. To fix the error you need to change your order of files it should be as shown below : Uncaught Error: Bootstrap's JavaScript requires jQuery I tried force jQuery on main.ts, also tried to create vendor.ts and put it on .angular-cli.json like some workarounds I found. But didn't work at all.

Uncaught error: bootstrap's javascript requires jquery at , the error: Uncaught Error: Bootstrap's JavaScript requires jQuery , my https://​maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"  Uncaught ReferenceError: jQuery is not defined bootstrap.min.js:6 (anonymous function) bootstrap.min.js:6 javascript jquery html css twitter-bootstrap share | improve this question | follow |

Comments
  • no it did not work people are down voting this post i am really sad it is a genuine issue in browser
  • This will not work because you are loading the bootstrap JS before the Jquery, bootstrap requires JQ loaded prior. This also does not deal with the other libraries already loaded.